import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaProbeStatus } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaProbeStatusService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaProbeStatus> {
    return this.rpcService.call<MetaProbeStatus>('MetaProbeStatusService.readByKey', key);
  }

  public readAll(): Observable<MetaProbeStatus[]> {
    return this.rpcService.call<MetaProbeStatus[]>('MetaProbeStatusService.readAll');
  }
}
